petsc-3.12.4 2020-02-04
Report Typos and Errors

# VecTaggerRegister

Adds an implementation of the VecTagger communication protocol.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecTaggerRegister(const char sname[],PetscErrorCode (*function)(VecTagger))

Not collective

### Input Parameters

| name_impl | - name of a new user-defined implementation
| routine_create | - routine to create method context

### Notes

VecTaggerRegister() may be called multiple times to add several user-defined implementations.

### Sample usage

       VecTaggerRegister("my_impl",MyImplCreate);

Then, this implementation can be chosen with the procedural interface via

        VecTaggerSetType(tagger,"my_impl")

or at runtime via the option

        -snes_type my_solver

### See Also

VecTaggerRegisterAll(), VecTaggerRegisterDestroy()

### Level

advanced

### Location

src/vec/vec/utils/tagger/interface/taggerregi.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages